SDL_GetGamepadTouchpadFinger(3)

NAME
SDL_GetGamepadTouchpadFinger - Get the current state of a finger on a touchpad on a gamepad.

HEADER FILE
Defined in SDL3/SDL_gamepad.h

SYNOPSIS
#include "SDL3/SDL.h"

int SDL_GetGamepadTouchpadFinger(SDL_Gamepad *gamepad, int touchpad, int finger, Uint8 *state, float *x, float *y, float *pressure);

FUNCTION PARAMETERS

gamepad
    a gamepad

touchpad
    a touchpad

finger
    a finger

state
    filled with state

x   filled with x position

y   filled with y position

pressure
    filled with pressure value

RETURN VALUE
Returns 0 on success or a negative error code on failure; call SDL_GetError () for more information.

AVAILABILITY
This function is available since SDL 3.0.0.

SEE ALSO
SDL_GetNumGamepadTouchpadFingers(3)